User Interface - Feature #2212

Feature # 1811 (Closed): implement the AJAX client driver

design websockets protocol for bidirectional communication between the javascript presentation
engine and the java-based JS Ul driver (ChUI and GUI versions)

12/17/2013 09:09 PM - Greg Shah

Status: Closed Start date: 12/17/2013
Priority: Normal Due date: 01/10/2014
Assignee: Marius Gligor % Done: 100%
Category: Estimated time: 60.00 hours
Target version: GUI Support for a Complex ADM2 App

billable: No vendor_id: GCD
Description

History

#1 - 12/17/2013 09:09 PM - Greg Shah

This task is for time management only. Please put all history into the parent task #1811.

#2 - 01/06/2014 01:16 PM - Marius Gligor
- Status changed from New to WIP

#3 - 01/31/2014 03:05 AM - Marius Gligor
- File mag_upd20140131a.zip added

| fixed the issue related to server key store import. It was a misunderstanding related to implementation.

For a web client first a temporary session is established using a temporary account.

Inside the main loop of ClientCore.start user credentials are used.

As a result | reverted the changes from MainEntry, StandardServer and TemporaryAccount classes.

Also the Result class is no longer used and has been deleted.

This design gracefully simplify the ClientCore.start code.

Basically the code looks (main loop of ClientCore.start) like before introducing web clients.

Also | added some JS code inside the web pages which prevents the back navigation and disable the browser context menu.
Nevertheless we have to do more works on the JS front-end depending on the final solution we will choose.

#4 - 01/31/2014 03:08 AM - Marius Gligor
- File deleted (mag_upd20140131a.zip)

#5 - 01/31/2014 03:09 AM - Marius Gligor

Correct post location is Feature #1811. Please delete my posts.
#6 - 02/07/2014 09:07 AM - Marius Gligor
- % Done changed from 0 to 100

- Status changed from WIP to Review

#7 - 02/07/2014 09:30 AM - Marius Gligor
https://proj.goldencode.com/issues/1811
https://proj.goldencode.com/issues/1811

Update [mag_upd20140206a.zip]
Passed regression tests, committed to bzr revision 10459.

#8 - 02/07/2014 09:42 AM - Greg Shah
- Status changed from Review to Closed

#9 - 11/16/2016 12:13 PM - Greg Shah
- Target version changed from Milestone 12 to GUI Support for a Complex ADM2 App
